apiVersion: apps/v1
kind: Deployment
metadata:
  name: ci4s-front-deployment
  namespace: ci4s-test
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ci4s-front
  template:
    metadata:
      labels:
        app: ci4s-front
    spec:
      containers:
        - name: ci4s-front
          image: ci4s-front:20240126
          ports:
            - containerPort: 8000

---
apiVersion: v1
kind: Service
metadata:
  name: ci4s-front-service
  namespace: ci4s-test
spec:
  type: NodePort
  ports:
    - port: 8000
      nodePort: 31213
      protocol: TCP
  selector:
    app: ci4s-front
